#ifndef __ABAC_I_H__
#define __ABAC_I_H__

#include <credentials/certificates/x509.h>
#include <credentials/certificates/certificate.h>
#include <credentials/certificates/ac.h>
#include <credentials/keys/private_key.h>

#include "abac.h"

certificate_t *abac_attribute_issuer_cert(abac_attribute_t *ptr);
certificate_t *abac_attribute_cert(abac_attribute_t *ptr);
abac_attribute_t *abac_attribute_new(abac_id_t *issuer, certificate_t *cert, certificate_t *issuer_cert);
abac_id_t *abac_id_new(int idtype,char *keyid, char *cn, certificate_t *cert);
private_key_t *abac_id_privkey(abac_id_t *id);
certificate_t *abac_id_cert(abac_id_t *id);
abac_id_t *abac_id_keyid_new(char *keyid, char *cn, certificate_t *cert);

#endif /* __ABAC_I_H__ */

